PrivateUsersAPI¶
- class minim.api.qobuz.PrivateUsersAPI(client: APIClient, /)[source]¶
Bases:
PrivateQobuzResourceAPIUsers API endpoints for the private Qobuz API.
Important
This class is managed by
PrivateQobuzAPIClientand should not be instantiated directly.- Parameters:
- clientminim.api._shared.APIClient
API client instance used to make HTTP requests.
Methods
Favorite a playlist.
Get Qobuz profile information for the current user.
Get the timestamps for the last updates to favorites, playlists, and purchases performed by the current user.
Get Qobuz IDs of albums and tracks purchased by the current user.
Get Qobuz catalog information for albums and tracks purchased by the current user.
Get Qobuz IDs of the current user's favorites.
Get Qobuz catalog information for the current user's favorites.
Get Qobuz catalog information for tracks in a playlist curated for the current user.
Get Qobuz catalog information for playlists curated for the current user.
Get track recommendations based on seed tracks.
Check whether the current user has an item favorited.
Perform a credential-based login.
Unfavorite one or more albums, artists, and/or tracks.
Favorite one or more albums, artists, and/or tracks.
Toggle the favorite status of an item.
Unfavorite a playlist.
- follow_playlist(playlist_id: int | str, /) dict[str, str][source]¶
Favorite a playlist.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- playlist_idint or str; positional-only
Qobuz ID of the playlist.
Examples:
2776610,"6754150".
- Returns:
- statusdict[str, str]
Whether the playlist was favorited successfully.
Sample response:
{"status": "success"}.
- get_me() dict[str, Any][source]¶
Get Qobuz profile information for the current user.
User authentication
- User authentication
Access private profile information.
- Returns:
- profiledict[str, Any]
Qobuz profile information for the current user.
Sample response
{ "age": <int>, "avatar": <str>, "birthdate": <str>, "country": <str>, "country_code": <str>, "creation_date": <str>, "credential": { "description": <str>, "id": <int>, "label": <str>, "parameters": { "color_scheme": { "logo": <str> }, "hfp_purchase": <bool>, "hires_purchases_streaming": <bool>, "hires_streaming": <bool>, "included_format_group_ids": <list[int]>, "label": <str>, "lossless_streaming": <bool>, "lossy_streaming": <bool>, "mobile_streaming": <bool>, "offline_streaming": <bool>, "short_label": <str>, "source": <str> } }, "display_name": <str>, "email": <str>, "firstname": <str>, "genre": <str>, "id": <int>, "language_code": <str>, "last_update": { "favorite": <int>, "favorite_album": <int>, "favorite_artist": <int>, "favorite_award": <int>, "favorite_label": <int>, "favorite_track": <int>, "playlist": <int>, "purchase": <int> }, "lastname": <str>, "login": <str>, "publicId": <str>, "store": <str>, "store_features": { "autoplay": <bool>, "club": <bool>, "download": <bool>, "editorial": <bool>, "inapp_purchase_subscripton": <bool>, "music_import": <bool>, "opt_in": <bool>, "pre_register_opt_in": <bool>, "pre_register_zipcode": <bool>, "radio": <bool>, "stream_purchase": <bool>, "streaming": <bool>, "wallet": <bool>, "weeklyq": <bool> }, "subscription": { "end_date": <str>, "household_size_max": <int>, "is_canceled": <bool>, "offer": <str>, "periodicity": <str>, "start_date": <str> }, "zipcode": <str>, "zone": <str> }
- get_my_last_updates() dict[str, dict[str, int]][source]¶
Get the timestamps for the last updates to favorites, playlists, and purchases performed by the current user.
User authentication
- User authentication
Access private profile information.
- Returns:
- last_updatesdict[str, dict[str, int]]
Timestamps for the current user’s last updates.
Sample response
{ "last_update":{ "favorite": <int>, "favorite_album": <int>, "favorite_artist": <int>, "favorite_track": <int>, "playlist": <int>, "purchase": <int> } }
- get_my_purchased_item_ids() dict[str, Any][source]¶
Get Qobuz IDs of albums and tracks purchased by the current user.
User authentication
- User authentication
Access personal collection and favorites.
- Returns:
- item_idsdict[str, Any]
Qobuz IDs of the current user’s purchased albums and tracks.
Sample response
{ "albums": { "items": [ { "id": <str> } ], "total": <int> }, "tracks": { "items": [ { "bought": <bool>, "id": <int> } ], "total": <int> }, "user": { "id": <int>, "login": <str> } }
- get_my_purchases(*, limit: int | None = None, offset: int | None = None) dict[str, Any][source]¶
Get Qobuz catalog information for albums and tracks purchased by the current user.
User authentication
- User authentication
Access personal collection and favorites.
- Parameters:
- limitint; keyword-only; optional
Maximum number of items to return.
Valid range:
1to500.API default:
50.- offsetint; keyword-only; optional
Index of the first item to return. Use with limit to get the next batch of items.
Minimum value:
0.API default:
0.
- Returns:
- purchasesdict[str, Any]
Page of Qobuz metadata for the current user’s purchased albums and tracks.
Sample response
{ "albums": { "items": [ { "articles": [], "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "displayable": <bool>, "downloadable": <bool>, "downloadable_format_ids": <list[str]>, "duration": <int>, "genre": { "color": <int>, "id": <int>, "name": <int>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_purchased": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "back": None, "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <int>, "media_count": <int>, "order_id": <int>, "order_line_id": <int>, "parental_warning": <bool>, "popularity": <int>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "purchased_at": <int>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "url": <str>, "version": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "tracks": { "items": [ { "album": { "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "genre": { "color": <int>, "id": <int>, "name": <int>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <int>, "maximum_technical_specifications": <str>, "media_count": <int>, "parental_warning": <bool>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "version": <str> }, "audio_info": { "replaygain_track_gain": <float>, "replaygain_track_peak": <float> }, "composer": { "id": <int>, "name": <str> }, "copyright": <str>, "displayable": <bool>, "downloadable": <bool>, "downloadable_format_ids": <list[int]>, "duration": <int>, "hires": <bool>, "hires_purchased": <bool>, "hires_streamable": <bool>, "id": <int>, "isrc": <str>, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_number": <int>, "order_id": <int>, "order_line_id": <int>, "parental_warning": <bool>, "performer": { "id": <int>, "name": <str> }, "performers": <str>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "purchased_at": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_stream": <str>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "track_number": <int>, "type": <str>, "version": <str>, "work": None } ], "limit": <int>, "offset": <int>, "total": <int> }, "user": {"id": <int>, "login": <str>} }
- get_my_saved_item_ids() dict[str, Any][source]¶
Get Qobuz IDs of the current user’s favorites.
User authentication
- User authentication
Access and manage your library.
- Returns:
- saved_idsdict[str, Any]
Qobuz IDs of the current user’s favorites.
Sample response
{ "albums": <list[str]>, "articles": [], "artists": <list[int]>, "awards": [], "labels": [], "tracks": <list[int]>, }
- get_my_saved_items(item_type: str, /, *, limit: int | None = None, offset: int | None = None) dict[str, Any][source]¶
Get Qobuz catalog information for the current user’s favorites.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- item_typestr; positional-only; optional
Type of item to return. If not specified, favorites of all types are returned.
Valid values:
"albums","articles","artists","awards","labels","tracks".- limitint; keyword-only; optional
Maximum number of items to return.
Valid range:
1to500.API default:
50.- offsetint; keyword-only; optional
Index of the first item to return. Use with limit to get the next batch of items.
Minimum value:
0.API default:
0.
- Returns:
- itemsdict[str, Any]
Page of Qobuz metadata for the current user’s favorites.
Sample response
{ "albums": { "items": [ { "articles": [], "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str>, }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "favorited_at": <int>, "genre": { "color": <str>, "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "back": None, "large": <str>, "small": <str>, "thumbnail": <str>, }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_count": <int>, "parental_warning": <bool>, "popularity": <int>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "slug": <str>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "url": <str>, "version": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "artists": { "items": [ { "albums_count": <int>, "favorited_at": <int>, "id": <int>, "image": { "extralarge": <str>, "large": <str>, "medium": <str>, "mega": <str>, "small": <str>, }, "name": <str>, "slug": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "tracks": { "items": [ { "album": { "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_count": <int>, "parental_warning": <bool>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": null, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "version": None }, "audio_info": { "replaygain_track_gain": <float>, "replaygain_track_peak": <float>, }, "composer": { "id": <int>, "name": <str> }, "copyright": <str>, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "favorited_at": <int>, "hires": <bool>, "hires_streamable": <bool>, "id": <int>, "isrc": <str>, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_number": <int>, "parental_warning": <bool>, "performer": { "id": <int>, "name": <str> }, "performers": <str>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "track_number": <int>, "version": <str>, "work": None } ], "limit": <int>, "offset": <int>, "total": <int> }, "user": { "id": <int>, "login": <str> } }
- get_personalized_playlist_tracks(playlist_type: str, /, *, limit: int | None = None, offset: int | None = None) dict[str, Any][source]¶
Get Qobuz catalog information for tracks in a playlist curated for the current user.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- playlist_typestr; positional-only
Type of the curated playlist.
See also
get_personalized_playlists()– Get types of curated playlists.Example:
"weekly".- limitint; keyword-only; optional
Maximum number of items to return. Only applicable when playlist_type is not
"weekly".Valid range:
1to500.API default:
50.- offsetint; keyword-only; optional
Index of the first item to return. Use with limit to get the next batch of items. Only applicable when playlist_type is not
"weekly".Minimum value:
0.API default:
0.
- Returns:
- tracksdict[str, Any]
Page of Qobuz metadata for tracks in the curated playlist.
Sample response
{ "baseline": <str>, "description": <str>, "duration": <int>, "expires_on": <int>, "generated_at": <int>, "graphics": { "background": <str>, "foreground": <str> }, "images": { "large": <str>, "small": <str> }, "step_pagination": <int>, "title": <str>, "track_count": <int>, "tracks": { "items": [ { "album": { "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "displayable": <bool>, "downloadable": <bool>, "genre": { "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <str>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "version": <str> }, "audio_info": { "replaygain_track_gain": <float>, "replaygain_track_peak": <float> }, "composer": { "id": <int>, "name": <str> }, "copyright": <str>, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "hires": <bool>, "hires_streamable": <bool>, "id": <int>, "isrc": <str>, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "parental_warning": <bool>, "performer": { "id": <int>, "name": <str>, }, "performers": <str>, "position": <int>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "version": <str>, "work": None } ], "limit": <int>, "offset": <int> }, "type": <str> }
- get_personalized_playlists() list[dict[str, Any]][source]¶
Get Qobuz catalog information for playlists curated for the current user.
User authentication
- User authentication
Access and manage your library.
- Returns:
- playlistslist[dict[str, Any]]
Qobuz metadata for the curated playlists.
Sample response
[ { "baseline": <str>, "description": <str>, "graphics": { "background": <str>, "foreground": <str> }, "images": { "large": <str>, "small": <str> }, "step_pagination": <int>, "title": <str>, "type": <str> } ]
- get_track_recommendations(seed_track_ids: int | str | Collection[int | str], /, exclude_track_ids: int | str | Collection[int | str] | None = None, *, limit: int | None = None) dict[str, Any][source]¶
Get track recommendations based on seed tracks.
User authentication
- User authentication
Access the
POST /dynamic/suggestendpoint.
- Parameters:
- seed_track_idsint | str | Collection[int | str]; positional-only
Qobuz IDs of seed tracks.
Examples:
23929516,"344521217","23929516,344521217",[23929516, "344521217"].- exclude_track_idsint | str | Collection[int | str]; optional
Qobuz IDs of tracks to exclude.
Examples:
256316240,"53859680","256316240,53859680",[256316240, "53859680"].- limitint; keyword-only; optional
Maximum number of items to return.
Valid range:
1to500.API default:
50.
- Returns:
- recommendationsdict[str, Any]
Qobuz metadata for the tracks recommended based on the seed tracks.
Sample response
{ "algorithm": <str>, "tracks": { "items": [ { "album": { "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str>, }, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_count": <int>, "parental_warning": <bool>, "popularity": <int>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": None, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "version": <str> }, "audio_info": { "replaygain_track_gain": <float>, "replaygain_track_peak": <float> }, "composer": { "id": <int>, "name": <str> }, "copyright": <str>, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "hires": <bool>, "hires_streamable": <bool>, "id": <int>, "isrc": <str>, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_number": <int>, "parental_warning": <bool>, "performer": { "id": <int>, "name": <str> }, "performers": <str>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "track_number": <int>, "version": <str>, "work": None } ], "limit": <int> } }
- is_item_saved(item_type: str, item_id: int | str, /) dict[str, bool][source]¶
Check whether the current user has an item favorited.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- item_typestr; positional-only
Type of item.
Valid values:
"album","artist","article","award","label","track".- item_idint or str; positional-only
Qobuz ID of the item.
- Returns:
- saveddict[str, bool]
Whether the current user has the item favorited.
Sample response:
{"status": <bool>}.
- login(username: str, password: str, /, *, device_uuid: str | None = None, device_model: str | None = None, device_os: str | None = None, device_platform: str | None = None) dict[str, Any][source]¶
Perform a credential-based login.
- Parameters:
- usernamestr; positional-only
Email or username.
- passwordstr; positional-only
Password or its MD5 hash.
- device_uuidstr; keyword-only; optional
UUID of the device running the client. If provided, the response will contain the Qobuz ID of the device to report streaming.
Example:
"16922031-0352-59D3-ADA2-B8E48236E8F0".- device_modelstr; keyword-only; optional
Device model.
Example:
"Mac17,2".- device_osstr; keyword-only; optional
Device operating system.
Example:
"macOS 26.0".- device_platformstr; keyword-only; optional
Device platform.
Example:
"macOS-26.0-arm64".
- Returns:
- tokendict[str, Any]
User authentication token and Qobuz profile information.
Sample response
{ "user": { "age": <int>, "avatar": <str>, "birthdate": <str>, "country": <str>, "country_code": <str>, "creation_date": <str>, "credential": { "description": <str>, "id": <int>, "label": <str>, "parameters": { "color_scheme": { "logo": <str> }, "hfp_purchase": <bool>, "hires_purchases_streaming": <bool>, "hires_streaming": <bool>, "included_format_group_ids": <list[int]>, "label": <str>, "lossless_streaming": <bool>, "lossy_streaming": <bool>, "mobile_streaming": <bool>, "offline_streaming": <bool>, "short_label": <str>, "source": <str> } }, "device": { "device_manufacturer_id": <str>, "device_model": <str>, "device_os_version": <str>, "device_platform": <str>, "id": <int> }, "display_name": <str>, "email": <str>, "firstname": <str>, "genre": <str>, "id": <int>, "language_code": <str>, "last_update": { "favorite": <int>, "favorite_album": <int>, "favorite_artist": <int>, "favorite_award": <int>, "favorite_label": <int>, "favorite_track": <int>, "playlist": <int>, "purchase": <int> }, "lastname": <str>, "login": <str>, "publicId": <str>, "store": <str>, "store_features": { "autoplay": <bool>, "club": <bool>, "download": <bool>, "editorial": <bool>, "inapp_purchase_subscripton": <bool>, "music_import": <bool>, "opt_in": <bool>, "pre_register_opt_in": <bool>, "pre_register_zipcode": <bool>, "radio": <bool>, "stream_purchase": <bool>, "streaming": <bool>, "wallet": <bool>, "weeklyq": <bool> }, "subscription": { "end_date": <str>, "household_size_max": <int>, "is_canceled": <bool>, "offer": <str>, "periodicity": <str>, "start_date": <str> }, "zipcode": <str>, "zone": <str> }, "user_auth_token": <str> }
- remove_saved_items(*, album_ids: str | Collection[str] | None = None, artist_ids: int | str | Collection[int | str] | None = None, track_ids: int | str | Collection[int | str] | None = None) dict[str, str][source]¶
Unfavorite one or more albums, artists, and/or tracks.
User authentication
- User authentication
Access and manage your library.
Important
At least one of
album_ids,artist_ids, ortrack_idsmust be specified.- Parameters:
- album_idsstr or Collection[str]; keyword-only; optional
Qobuz IDs of the albums.
Examples:
"0075679933652","0075679933652,aaxy9wirwgn2a".- artist_idsint, str, or Collection[int | str]; keyword-only; optional
Qobuz IDs of the artists.
Examples:
865362,"21473137","865362,21473137",[865362, "21473137"].- track_idsint, str, or Collection[int | str]; keyword-only; optional
Qobuz IDs of the tracks.
Examples:
23929516,"344521217","23929516,344521217",[23929516, "344521217"].
- Returns:
- statusdict[str, str]
Whether the items were unfavorited successfully.
Sample response:
{"status": "success"}.
- save_items(*, album_ids: str | Collection[str] | None = None, artist_ids: int | str | Collection[int | str] | None = None, track_ids: int | str | Collection[int | str] | None = None) dict[str, str][source]¶
Favorite one or more albums, artists, and/or tracks.
User authentication
- User authentication
Access and manage your library.
Important
At least one of
album_ids,artist_ids, ortrack_idsmust be specified.- Parameters:
- album_idsstr or Collection[str]; keyword-only; optional
Qobuz IDs of the albums.
Examples:
"0075679933652","0075679933652,aaxy9wirwgn2a".- artist_idsint, str, or Collection[int | str]; keyword-only; optional
Qobuz IDs of the artists.
Examples:
865362,"21473137","865362,21473137",[865362, "21473137"].- track_idsint, str, or Collection[int | str]; keyword-only; optional
Qobuz IDs of the tracks.
Examples:
23929516,"344521217","23929516,344521217",[23929516, "344521217"].
- Returns:
- statusdict[str, str]
Whether the items were favorited successfully.
Sample response:
{"status": "success"}.
- toggle_item_saved(item_type: str, item_id: int | str, /) dict[str, bool][source]¶
Toggle the favorite status of an item.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- item_typestr; positional-only
Type of item.
Valid values:
"album","artist","article","award","label","track".- item_idint or str; positional-only
Qobuz ID of the item.
- Returns:
- saveddict[str, bool]
Whether the item is now favorited.
Sample response:
{"status": <bool>}.
- unfollow_playlist(playlist_id: int | str, /) dict[str, str][source]¶
Unfavorite a playlist.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- playlist_idint or str; positional-only
Qobuz ID of the playlist.
Examples:
2776610,"6754150".
- Returns:
- statusdict[str, str]
Whether the playlist was unfavorited successfully.
Sample response:
{"status": "success"}.